pkgtools/pkglint4 - The NetBSD Packages Collection

Verifier for NetBSD packages (old version, for all platforms)

pkglint is for pkgsrc packages what lint(1) is for C files. It checks
for various things that the used languages cannot detect, for example
application-specific restrictions on certain variables.

Before importing a new package or making changes to an existing package,
pkglint should be run in the package's directory to check for common
errors.

This is the old version of pkglint.  It remains because the current
version is written in go and thus does not run on all pkgsrc
platforms.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

security/p5-Digest-SHA1 devel/p5-enum pkgtools/p5-pkgsrc-Dewey lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfpkglint4-4.193.2nb1.tgz
NetBSD 8.0earmv7hfpkglint4-4.193.2nb1.tgz
NetBSD 8.0earmv7hfpkglint4-4.193.2nb1.tgz
NetBSD 8.0i386pkglint4-4.193.2nb1.tgz
NetBSD 8.0i386pkglint4-4.193.2nb1.tgz
NetBSD 8.0i386pkglint4-4.193.2nb1.tgz
NetBSD 8.0i386pkglint4-4.193.2nb2.tgz
NetBSD 8.0powerpcpkglint4-4.193.2nb1.tgz
NetBSD 8.0powerpcpkglint4-4.193.2nb1.tgz
NetBSD 8.0powerpcpkglint4-4.193.2nb1.tgz
NetBSD 8.0powerpcpkglint4-4.193.2nb1.tgz
NetBSD 8.0x86_64pkglint4-4.193.2nb1.tgz
NetBSD 8.0x86_64pkglint4-4.193.2nb1.tgz
NetBSD 8.0x86_64pkglint4-4.193.2nb1.tgz
NetBSD 8.0x86_64pkglint4-4.193.2nb2.tgz
NetBSD 9.0aarch64pkglint4-4.193.2nb2.tgz
NetBSD 9.0aarch64pkglint4-4.193.2nb1.tgz
NetBSD 9.0aarch64pkglint4-4.193.2nb1.tgz
NetBSD 9.0aarch64pkglint4-4.193.2nb1.tgz
NetBSD 9.0alphapkglint4-4.193.2nb1.tgz
NetBSD 9.0earmv6hfpkglint4-4.193.2nb1.tgz
NetBSD 9.0earmv6hfpkglint4-4.193.2nb1.tgz
NetBSD 9.0earmv6hfpkglint4-4.193.2nb1.tgz
NetBSD 9.0earmv6hfpkglint4-4.193.2nb1.tgz
NetBSD 9.0earmv6hfpkglint4-4.193.2nb2.tgz
NetBSD 9.0earmv7hfpkglint4-4.193.2nb1.tgz
NetBSD 9.0earmv7hfpkglint4-4.193.2nb1.tgz
NetBSD 9.0earmv7hfpkglint4-4.193.2nb1.tgz
NetBSD 9.0earmv7hfpkglint4-4.193.2nb1.tgz
NetBSD 9.0earmv7hfpkglint4-4.193.2nb1.tgz
NetBSD 9.0earmv7hfpkglint4-4.193.2nb2.tgz
NetBSD 9.0earmv7hfpkglint4-4.193.2nb2.tgz
NetBSD 9.0i386pkglint4-4.193.2nb1.tgz
NetBSD 9.0i386pkglint4-4.193.2nb1.tgz
NetBSD 9.0i386pkglint4-4.193.2nb1.tgz
NetBSD 9.0i386pkglint4-4.193.2nb2.tgz
NetBSD 9.0mips64ebpkglint4-4.193.2nb1.tgz
NetBSD 9.0mips64ebpkglint4-4.193.2nb1.tgz
NetBSD 9.0mips64ebpkglint4-4.193.2nb1.tgz
NetBSD 9.0powerpcpkglint4-4.193.2nb1.tgz
NetBSD 9.0powerpcpkglint4-4.193.2nb1.tgz
NetBSD 9.0powerpcpkglint4-4.193.2nb1.tgz
NetBSD 9.0powerpcpkglint4-4.193.2nb1.tgz
NetBSD 9.0powerpcpkglint4-4.193.2nb1.tgz
NetBSD 9.0sparc64pkglint4-4.193.2nb1.tgz
NetBSD 9.0sparcpkglint4-4.193.2nb1.tgz
NetBSD 9.0sparcpkglint4-4.193.2nb1.tgz
NetBSD 9.0x86_64pkglint4-4.193.2nb1.tgz
NetBSD 9.0x86_64pkglint4-4.193.2nb1.tgz
NetBSD 9.0x86_64pkglint4-4.193.2nb2.tgz
NetBSD 9.0x86_64pkglint4-4.193.2nb1.tgz
NetBSD 9.0x86_64pkglint4-4.193.2nb1.tgz
NetBSD 9.0x86_64pkglint4-4.193.2nb1.tgz
NetBSD 9.0x86_64pkglint4-4.193.2nb1.tgz
NetBSD 9.0x86_64pkglint4-4.193.2nb2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.